# ESP32 LoRa (SX127*)

Provides SPI driver for SX1276/SX1278 LoRa radio

## Usage

Designed to be used as `esp-idf component`. Suggested using as `git submodule`

```
git submodule add https://gitlab.com/morganrallen/esp32-lora.git components/esp32-lora/
git submodule init
git submodule update
```

## Configure

Uses built in KConfig. Run `make menuconfig` and find config under `Component config` -> `LORA32`.
Defaults targeted to TTGO LoRa OLED boards.
